const

; release version info
ReleaseNumber = "3.55",
ReleaseDate = "March, 2012",

; bbwReadMe file
bbwReadMeFile = "bbwReadMe.htm",

; keystrokes

; for muting/unmuting
ks2 = "Alt+2",
ks3 = "Alt+3",
ks4 = "Alt+4",
ks5 = "Alt+5",
ks6 = "Alt+6",
ks7 = "Alt+7",
ks8 = "Alt+8",
ks9 = "Alt+9",
ks0 = "Alt+0",
; for selecting
ks12 = "control+2",
ks13 = "control+3",
ks14 = "control+4",
ks15 = "control+5",
ks16 = "control+6",
ks17 = "control+7",
ks18 = "control+8",
ks19 = "control+9",
ks00 = "control+0",
; for looping (note: these keys are not currently being used since JAWS cannot control the numeric keypad as we would like)
ks101="Numpad1",
ks102="NumPad2",
ks103="Control+Numpad1",
ks104="Control+Numpad2",
ks105="Control+Numpad3",

; special characters
separator = "\007",
delimiter = "|",
space = " "


Messages
@msgBIABSettings
Band-in-a-Box Settings
@@
@sOptionsList
UOSpeakSpecialKeys:Speak special Keys|
UOMuteSpeechDuringPlayback:Mute Speech During Playback| 
UOSpeakToolTips:Automatically Speak Pop Up tool Tips
@@
@msgSpeakSpecialKeysText
Toggles the speaking of special Band-in-a-box hotkeys on and off (i.e., BIAB hotkeys that use Shift+Control).
This can also be toggled on and off by hitting JawsKey+H twice quickly.
@@
@msgMuteSpeechDuringPlaybackText
Determines whether or not bars and chords are spoken during playback.
Does not affect speaking of bars and chords when navigating using the arrow keys.
This can also be toggled on and off by hitting Shift+ALT+K
@@
@msgSpeakToolTipsText
If turned on, BIAB pop up text hints are spoken automatically.
If turned off, the keystroke JAWSKey+Shift+T can be used to speak the last BIAB pop up texst hint.  
	or if pressed twice, the information is placed in the virtual buffer.
@@
@msgON
on
@@
@msgOff
off
@@
@msgHotKeyHelpGeneral
Here are some general HotKeys that can be used with Band-in-a-Box:
To bring up Screen Sensitive Help, hit JawsKey+F1 once 
To bring up the Band-in-a-Box README file for the JAWS scripts, hit JawsKey+ F1 twice quickly 

The automatic speaking of BIAB pop up text hints can be turned on and off via the JAWS options menu by hitting JAWSKey+V
  Note: This option must be checked in the BIAB Preferences dialog (which can be brought up by hitting control+E).
To repeat the last BIAB text hint hit Shift+JAWSKey+T
  Press twice to put the text in the virtual buffer

The two speaking options below can be toggled using the hotkeys or via the Jaws options menu by hitting JawsKey+V:
  To toggle the speaking of special Band-in-a-Box hotkeys used for changing the settings of instruments, hit JawsKey+H twice quickly 
  To toggle the speaking of bars and chords during playback on and off, hit Shift+Alt+K

To speak the function of any hotkey, get into JAWS help by hitting JAWSKey+1 and then hitting the desired hotkey

The following hotkeys can be used from within the Chord window:
To speak the current bar and beat, hit control + JAWSKey + b 
To speak the chords, hit  control + JAWSKey + r once
  Hitting it twice quickly spells chord names 
  Hitting it 3 times quickly spells chord names phonetically 
To speak the selected instrument, hit  control + JAWSKey + shift + s 
To speak the muted status of instruments, hit Shift+Alt+ g 
To go to the patch combo box for a selected instrument, hit alt + shift + p 
  Hit escape to exit the combo box, and your changes will be preserved
To change the timebase, hit  control + JAWSKey + t 
To bring up a dialog from which you can select looping and navigation options, hit Control + Shift + L 
To cycle through the part markers at any bar press P
To change the style or sub-style at the current bar press control+Alt+P

The following keystrokes can be used when in the Select Style dialog:
To speak the style memo, hit Shift+Alt+ m 

From within the synth settings dialog, the Tab and Shift+Tab keys now move between the ComboBoxes for selecting the synth as well as the synth and audio effects.  Since this is a non-standard interface, other functions must be performed using the Jaws cursor.

To list the buttons available in the synth settings dialog box, from which a button may be chosen & activated, hit JawsKey + f8 

The following hotkeys can be used from within the Ear Training dialog:
To bring up a dialog in which you can select either the Chord Tutor or Interval Tutor dialog, hit JAWSKey+Control+b three  times quickly 
To bring up the list of available options from within the Chord Tutor or Interval Tutor dialog, hit JAWSKey+Alt+B once 
To bring up the list of selections/guesses, hit JAWSKey+Alt+B twice quickly 

Other useful hotkeys:
To bring up the open mid file dialog box when in the import midi file dialog box, hit control + JAWSKey + c - This saves a lot of tabbing
Use Ctrl up & ctrl down arrow go to previous & next radio buttons, respectively, when arrows won't

Other suggestions for improving how these scripts work with Band-in-a-Box:
In order to have the chords spoken properly as a song plays, make sure the font is set to Times New Roman Bold
  This can be done by going to the Opt / Preferences / Display dialog by choosing chordsheet custom font.
If the window showing the on screen piano is not being used, it may be helpful to turn this graphical display off.
  This can be done by going to the Opt / Preferences / Display dialog, tabbing to the Toolbars Onscreen Piano checkbox and unchecking this box.
Additional useful information can be found in the Band-in-a-Box Readme file.
  This can be quickly accessed by hitting JAWSKey + f1 twice quickly.

Press Escape to close this message

@@
@msgMuted
muted
@@
@msgUnmuted
 unmuted
@@
@msgSelected
Selected
@@
@msgCombo
Combo
@@
@msgBass
Bass
@@
@msgPiano
Piano
@@
@msgDrums
Drums
@@
@msgGuitar
Guitar
@@
@msgSoloist
Soloist
@@
@msgStrings
Strings
@@
@msgMelody
Melody
@@
@msgThru
Thru
@@
@msgPush8
with a one eight push
@@
@msgPush16
with a one sixteenth push
@@
@msgSus
suspended
@@
@msgFlat
flat
@@
@msgSharp
sharp
@@
@msgMajor
major
@@
@msgMinor
minor
@@
@msgAugmented
augmented
@@
@msgDiminished
diminished
@@
@msgOver
over
@@
@msgBassNote
bass
@@
@msgRest
 rest
@@
@msgShot
 shot
@@
@msgHeld
 held
@@
@msgExceptFor
except for
@@
@msgMCHeadings
Channel |
Octave |
Patch |
Volume |
Reverb |
Chorus |
Pan |
Bank0 |
LSB32
@@
@msgSamples
Sample Songs:
@@
@msgDescription
Description:
@@
@msgNoChord
no chord
@@
@msgErr1
The instruements list was not found and may be covered by another window.
@@
@msgErr2
Can't find chord window
@@
@msgErr3
Not in the Style Picker Window
@@
@msgErr4
not in synth dialog
@@
@msgErr5
Can't find the bbwReadMe file
@@
@msgErr6
Not in the Ear Training tutor dialog.
@@
@msg101
Hit enter to close this message
@@
@msg102
You can use first letter navigation to find the beginning of the list of Up or Down intervals and then navigate to the particular interval in the list.
@@
@msgScreenHelp1
Use the cursor keys to move around the screen.

If you hear a number prior to the row & column of your location,
  this means there is a pre-existing pattern.
If you hear only the row & column number,
  the pattern is blank.
@@
@msgScreenHelp2
You are in the chord window.

Use cursor keys to navigate.
Type in chords at any beat.
@@
@msgScreenHelp3
You are in the notation window.

To return to the Chord window, hit control+w.

Control right & control left arrow move to the next or previous melody or soloist note,
  depending on the track selected.
@@
@msgScreenHelp4
You are in the Ear Training window.

There are two dialogs which are accessible with Jaws.  They are:
  1.	The Chord Tutor dialog.
	2.	The Interval Tutor dialog.

Press JAWSKey+Control+b three  times quickly to bring up a dialog in which you can select either the Chord Tutor or Interval Tutor dialog.

From within the Chord tutor or Interval Tutor dialog:
  Press JAWSKey+Alt+B once to bring up the list of available options.
  Press JAWSKey+Alt+B twice quickly to bring up the list of selections/guesses

If you find that some text is truncated within any list, you may need to maximize this window.

@@
@msgScriptInfo
band in a box settings are loaded.
This is release %1 of the scripts,
from %2.
The program name is %3
@@
@msgSpeakSpecialKeysON
speaking of Band-in-a-Box special keys is turned on
@@
@msgSpeakSpecialKeysOff
speaking of Band-in-a-Box special keys is turned off
@@
@msgControlShiftQ
softer
@@
@msgControlShiftW
louder
@@
@msgControlShiftE
pan left
@@
@msgControlShiftR
pan right
@@
@msgControlShiftT
less reverb
@@
@msgControlShiftY
more reverb
@@
@msgControlShiftU
less chorus
@@
@msgControlShiftI
more chorus
@@
@msgControlShiftO
down a bank
@@
@msgControlShiftP
up a bank
@@
@msgControlShiftDash
down a patch
@@
@msgControlShiftEquals
up a patch 
@@
@msgAltControlShiftR
set volume of current part
@@
@msgAltControlA
lower master volume by 5
@@
@msgAltControlS
raise master volume by 5
@@
@msgAltControlD
set master volume
@@
@msgAltControlShiftQ
lower all part volumes by 5
@@
@msgAltControlShiftW
increase all part volumes by 5
@@
@msgAltControlShiftE
set volume of all parts
@@
@msgSynthCombos
list of available synths |
first Synth Effects List|
second Synth Effects List|
third Synth Effects List
@@
@msgAudioCombos
First Audio Effect |
Second Audio Effect |
Third Audio Effect
@@
@msgSwitchingTo
Switching to 
@@
@msgTrack
Track
@@
@msgSpeechMuted
Speech during playback is muted
@@
@msgSpeechUnmuted
Speech during playback is unmuted
@@
@msgPartChanged
Part marker changed to: 
@@
@msgMustBeInChordWindow
You must be in the chord window to use this keystroke
@@
EndMessages
